[misc] fix dos_locale.c warning

* Also fix _detect-amend.sh script since Windows 1909 broke wmic for me
This commit is contained in:
Pete Batard 2019-11-19 20:33:43 +00:00
parent df60eabd5f
commit 72cfb89154
No known key found for this signature in database
GPG Key ID: 38E0CF5E69EDD671
3 changed files with 13 additions and 7 deletions

View File

@ -6,9 +6,10 @@
# Need to figure out if we are running on Windows or *NIX
if [ "$(uname -o)" = "Msys" ]; then
type -P wmic &>/dev/null || { echo "wmic command not found. Aborting." >&2; exit 1; }
type -P PowerShell &>/dev/null || { echo "PowerShell command not found. Aborting." >&2; exit 1; }
type -P grep &>/dev/null || { echo "grep command not found. Aborting." >&2; exit 1; }
if $(wmic path win32_process get CommandLine | grep git.exe | grep -q -- --amend); then
GITCMD=`PowerShell -command "Get-WmiObject win32_process -Filter \"name like '%git.exe'\" | select CommandLine"`
if $(echo $GITCMD | grep -q -- --amend); then
echo AMEND detected
touch ./.amend
fi

View File

@ -30,6 +30,11 @@
#include "rufus.h"
#if defined(_MSC_VER)
// We have a bunch of \xCD characters in this file that MS doesn't like
#pragma warning(disable: 4819)
#endif
/*
* Note: if you want a book that can be used as a keyboards and codepages bible, I
* would recommend the "OS/2 Warp Server for e-business - Keyboards and Codepages".

View File

@ -33,7 +33,7 @@ LANGUAGE LANG_NEUTRAL, SUBLANG_NEUTRAL
IDD_DIALOG DIALOGEX 12, 12, 232, 326
STYLE DS_SETFONT | DS_MODALFRAME | DS_CENTER | WS_MINIMIZEBOX | WS_POPUP | WS_CAPTION | WS_SYSMENU
EXSTYLE WS_EX_ACCEPTFILES
CAPTION "Rufus 3.9.1588"
CAPTION "Rufus 3.9.1589"
FONT 9, "Segoe UI Symbol", 400, 0, 0x0
BEGIN
LTEXT "Drive Properties",IDS_DRIVE_PROPERTIES_TXT,8,6,53,12,NOT WS_GROUP
@ -394,8 +394,8 @@ END
//
VS_VERSION_INFO VERSIONINFO
FILEVERSION 3,9,1588,0
PRODUCTVERSION 3,9,1588,0
FILEVERSION 3,9,1589,0
PRODUCTVERSION 3,9,1589,0
FILEFLAGSMASK 0x3fL
#ifdef _DEBUG
FILEFLAGS 0x1L
@ -413,13 +413,13 @@ BEGIN
VALUE "Comments", "https://rufus.ie"
VALUE "CompanyName", "Akeo Consulting"
VALUE "FileDescription", "Rufus"
VALUE "FileVersion", "3.9.1588"
VALUE "FileVersion", "3.9.1589"
VALUE "InternalName", "Rufus"
VALUE "LegalCopyright", "© 2011-2019 Pete Batard (GPL v3)"
VALUE "LegalTrademarks", "https://www.gnu.org/licenses/gpl-3.0.html"
VALUE "OriginalFilename", "rufus-3.9.exe"
VALUE "ProductName", "Rufus"
VALUE "ProductVersion", "3.9.1588"
VALUE "ProductVersion", "3.9.1589"
END
END
BLOCK "VarFileInfo"